![](https://i.imgur.com/KrD84h7.png)

![Epic Valheim Additions](https://i.imgur.com/9wBIvSa.png)
# Showcase video updated for 2.0
[![Showcase Video](https://i.imgur.com/WSM2fHu.png)](https://www.youtube.com/watch?v=BIsUTByDdnU)

![Epic Valheim Additions](https://i.imgur.com/ZFbsbQk.png)
**ALL EVA MISTLANDS CONTENT IS DISABLED BY DEFAULT**

The EVA Mistlands content has been seamlessly integrated into vanilla Mistlands, enhancing the existing experience. If you choose to re-enable Mistlands in the configuration, it will only further enrich the depth of the vanilla gameplay.

## New Content and Features

### New Mobs:
- Ashlands: We've introduced two formidable creatures, the "Magma Skarab" and the "Infernal Minotaur."
- Deep North: Inhabitants of the Deep North now include the elusive "Crystalhide Ursar" and the ethereal "Frostwing Fae."
- Ocean: Witness the arrival of the menacing "Draugr Mariner."

### New Weapons:
- We've expanded the weapon arsenal with the addition of 13 Weapons for each tier (Mistlands/Heavymetal, Deep North/Frometal, and Ashlands/Flametal), including Bows, Atgeirs, Warhammers, Battleaxes, Spears, Knives, Spiked Maces, Greatswords, Swords, Shields, Tower Shields, Axes, and Pickaxes.
- In the depths of the Ocean (Deep Abyss), discover three new Weapons – Bows, Tridents, and Greatswords.

### Environment Enhancements:
- Immerse yourself in enhanced environments as we've enriched the Ash Lands and Deep North with a variety of new vegetation, including bushes, trees, rocks, and pickable vegetation.
- In the Ashlands, you'll find Burning Trees with three distinct variations. Beware, as these trees have a dangerous burning radius, adding urgency to fell them swiftly.
- Both the Ashlands and Deep North now feature pickable vegetation, opening up new possibilities for crafting delectable recipes.
- Vegetation in the Ashlands can now drop seeds, enabling cultivation within this unique biome.

### Vegvisirs and Altars:
- Navigate the challenging terrains of Mistlands, Deepnorth, and Ashlands with the help of custom Vegvisirs, which guide you to the nearest corresponding boss altar.
- Discover mysterious custom boss altars scattered throughout the Mistlands, Deepnorth, and Ashlands.

### Golden Mini-bosses:
- Seek out golden mini-boss altars across the Meadows, Black Forest, and Swamp biomes. By offering the corresponding trophy, you can summon powerful golden mini-boss versions of these creatures.

### Food and Recipes:
- New mobs & vegetation drop essential ingredients for crafting exciting food recipes.
- In the Ashlands, savor the introduction of three new food items – Health, Stamina, and Eitr-infused delicacies.
- The Deep North offers its own trio of new food items, providing boosts to Health, Stamina, and Eitr levels.

### Creature Interaction:
- Forge a unique bond with the "Crystalhide Ursar" mob in the Deep North as you tame, command, and raise its cubs.

### Resource Gathering:
- Explore the Mistlands to harvest precious Heavymetal veins for ingots.
- In the Deep North, gather resources from trees, icebergs, Frometal veins, and mushrooms.
- The Ashlands hold treasures in the form of trees, flowers, and meteorites for resource harvesting.

### Crafting Changes:
- EVA Bosses now yield "Pickaxe Heads" and "Axe Heads" (per player), essential components for crafting tools to advance to the next tier.
- Introducing the "Thors Forge," a new crafting table for crafting Flametal, Frometal, and Heavymetal items.

### World Upgrades:
- Enhance your world with ease using the custom "Upgrade world" console commands: "EVA_upgrade_mistlands," "EVA_upgrade_deepnorth," "EVA_upgrade_ashlands," and "EVA_upgrade." These commands generate locations and vegetation in your world when the "Upgrade world" mod is installed.

![Epic Valheim Additions](https://i.imgur.com/Vw17IRf.png)
All EVA Progression is designed for end-game players who have discovered everything there is to do in vanilla Valheim, then expand upon it.

![Epic Valheim Additions](https://i.imgur.com/vSlCRiS.png)

![Epic Valheim Additions](https://i.imgur.com/dsMveIR.png)

You can now configure the health & damage of the bosses in the Mistlands / DeepNorth / Ashlands.

Find your config files at `\Valheim\BepInEx\config`
- `Huntard.EpicValheimsAdditions.json`
- `Huntard.EpicValheimsAdditions_Content.json`

Example Config for SvartalfarQueen and one of her attacks:

![Config Example](https://i.imgur.com/im7mcjH.png)

You can configure which EVA content is enabled or disabled!

![Config Options](https://i.imgur.com/lsRIS1U.png)

![Epic Valheim Additions](https://i.imgur.com/UT3E1k1.png)
None.

![Epic Valheim Additions](https://i.imgur.com/STu1BMf.png)

Check nexus for all the changelogs for this mod:

[https://www.nexusmods.com/valheim/mods/1475](https://www.nexusmods.com/valheim/mods/1475)

![Epic Valheim Additions](https://i.imgur.com/ARkYmyw.png)
- Huge thanks to @Horem, He always helps when I ask for help.
- @blaxxun
- @Azumatt
- @AeehyehssReeper for sharing his armor assets, which are used on the ashlands boss
- @Furok for creating the armor and sharing his assets
- @thedefside, creating json configuration for this mod.
- @Belasias for creating monsternomicon, Which was used previously for T6-7-8 bosses.

![Epic Valheim Additions](https://i.imgur.com/4A9P0i1.png)
1. Make sure you have installed all other requirement mods.
2. Drag the `.dll` into your `\Valheim\BepInEx\plugins` folder.

![Epic Valheim Additions](https://i.imgur.com/MGdN1h0.png)
If you like what I do and want to support me, [Buy Me a Coffee](https://www.buymeacoffee.com/Huntard)

[![](https://i.imgur.com/d5IpNXJ.png)](https://www.buymeacoffee.com/Huntard)

![Epic Valheim Additions](https://i.imgur.com/AMSwPIZ.png)
Feel free to submit bug reports or pull requests [here](https://github.com/swolewizard/EpicValheimAdditions).

![Epic Valheim Additions](https://i.imgur.com/tIkYkIk.png)

![media](https://staticdelivery.nexusmods.com/mods/3667/images/1475/1475-1696863906-1854823128.png)
![media](https://staticdelivery.nexusmods.com/mods/3667/images/1475/1475-1696863936-2011445147.jpeg)
![media](https://staticdelivery.nexusmods.com/mods/3667/images/1475/1475-1696863943-1324501669.jpeg)
![media](https://staticdelivery.nexusmods.com/mods/3667/images/1475/1475-1696863955-1613098106.jpeg)
![media](https://staticdelivery.nexusmods.com/mods/3667/images/1475/1475-1696863963-922538697.jpeg)
![media](https://staticdelivery.nexusmods.com/mods/3667/images/1475/1475-1696863969-74721131.jpeg)
![media](https://staticdelivery.nexusmods.com/mods/3667/images/1475/1475-1696863976-1592193693.jpeg)
![media](https://staticdelivery.nexusmods.com/mods/3667/images/1475/1475-1696863984-954663282.jpeg)
![media](https://staticdelivery.nexusmods.com/mods/3667/images/1475/1475-1696864188-1599467308.jpeg)
![media](https://staticdelivery.nexusmods.com/mods/3667/images/1475/1475-1696864199-937141921.jpeg)
![media](https://staticdelivery.nexusmods.com/mods/3667/images/1475/1475-1696864010-583459696.jpeg)
![media](https://staticdelivery.nexusmods.com/mods/3667/images/1475/1475-1696864016-1643767135.jpeg)
![media](https://staticdelivery.nexusmods.com/mods/3667/images/1475/1475-1696864024-95748093.jpeg)
![media](https://staticdelivery.nexusmods.com/mods/3667/images/1475/1475-1696864030-829205408.jpeg)
![media](https://staticdelivery.nexusmods.com/mods/3667/images/1475/1475-1696864037-91274106.jpeg)
![media](https://staticdelivery.nexusmods.com/mods/3667/images/1475/1475-1696864043-819457463.jpeg)
![media](https://staticdelivery.nexusmods.com/mods/3667/images/1475/1475-1696864049-1364285262.jpeg)
![media](https://staticdelivery.nexusmods.com/mods/3667/images/1475/1475-1696864069-1959768726.jpeg)
![media](https://staticdelivery.nexusmods.com/mods/3667/images/1475/1475-1696864105-1627310864.jpeg)
![media](https://staticdelivery.nexusmods.com/mods/3667/images/1475/1475-1696864092-1234655871.jpeg)
![media](https://staticdelivery.nexusmods.com/mods/3667/images/1475/1475-1696864129-2031088395.jpeg)
![media](https://staticdelivery.nexusmods.com/mods/3667/images/1475/1475-1696864123-1166616549.jpeg)
![media](https://staticdelivery.nexusmods.com/mods/3667/images/1475/1475-1696864139-1447178705.jpeg)
![media](https://staticdelivery.nexusmods.com/mods/3667/images/1475/1475-1696864145-1300188791.jpeg)
![media](https://staticdelivery.nexusmods.com/mods/3667/images/1475/1475-1696864161-1607730752.jpeg)
![media](https://staticdelivery.nexusmods.com/mods/3667/images/1475/1475-1696864168-2059884309.jpeg)
![media](https://staticdelivery.nexusmods.com/mods/3667/images/1475/1475-1696864176-179507313.jpeg)